post
https://api.instantpay.in/identity/okyc/sendOtp
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Headers
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code - 1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client ID | M | Y |
| X-Ipay-Client-Secret | String | Unique secret key | M | Y |
| X-Ipay-Endpoint-Ip | String | Customer End Point Ip Address | M | N |
Request Parameters
| Name | Type | Requirement | Description |
|---|---|---|---|
| aadhaarNumber | String | Mandatory | Aadhaar Number in aes-256-cbc Encryption |
| latitude | String | Mandatory | End Customer Latitude |
| longitude | String | Mandatory | End Customer longitude |
| consent | Enum (Y/N) | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/okyc/sendOtp' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"aadhaarNumber" : "xxxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"consent" : "Y"
}'POST /identity/okyc/sendOtp HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"aadhaarNumber" : "xxxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"consent" : "Y"
}Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action code |
| status | String | Staus Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:MM:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": "OtpGenerated",
"status": "OTP sent to registered mobile number",
"data": {
"otpReferenceID": "ZGNjMTJkNjItZTI0ZS00YzYyLWE2YzUtY2UzMjdlZDg3MTgy",
"aadhaarNumber": "xxxxxxxxxxxx"
},
"timestamp": "2023-05-26 10:06:31",
"ipay_uuid": "h0059941ba55-9c81-4f4d-a068-4f9b0a44beff",
"orderid": null,
"environment": "LIVE",
"internalCode": null
}
